PieChart2D (jCharts-0.7.5 API)
Keywords: org.jCharts.nonAxisChart.PieChart2D,PieChart2D class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.nonAxisChart
Class PieChart2D

    java.lang.Object
      |
      +--org.jCharts.Chart
            |
            +--org.jCharts.nonAxisChart.PieChart2D

All Implemented Interfaces:
  HTMLChartTestable, java.io.Serializable

public final class PieChart2D
extends Chart
implements HTMLChartTestable

See Also:
  Serialized Form

Field Summary
`private float` | `diameter`
`private IPieChartDataSet` | `iPieChartDataSet`
`private PieChartDataProcessor` | `pieChartDataProcessor`
`private float` | `pieX`
`private float` | `pieY`
`private TextTagGroup` | `textTagGroup`

Fields inherited from class org.jCharts.Chart
``

Constructor Summary
`PieChart2D(IPieChartDataSet iPieChartDataSet, LegendProperties legendProperties, ChartProperties chartProperties, int pixelWidth, int pixelHeight)` Constructor

Method Summary
`(package private) static void` | `render(PieChart2D pieChart2D)` Implement the method to render the Chart.
`protected void` | `renderChart()` Draws the chart
`void` | `toHTML(HTMLGenerator htmlGenerator, java.lang.String imageFileName)` Enables the testing routines to display the contents of this Object.

Methods inherited from class org.jCharts.Chart
`getBufferedImage, getChartProperties, getGenerateImageMapFlag, getGraphics2D, getImageHeight, getImageMap, getImageWidth, getLegend, hasLegend, render, renderChartTitle, renderWithImageMap, setGraphics2D, setImageMap, toHTML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jCharts.test.HTMLChartTestable
`toHTML`

Field Detail

### pieX

    private float pieX

### pieY

    private float pieY

### diameter

    private float diameter

### iPieChartDataSet

    private IPieChartDataSet iPieChartDataSet

### pieChartDataProcessor

    private PieChartDataProcessor pieChartDataProcessor

### textTagGroup

    private TextTagGroup textTagGroup

Constructor Detail

### PieChart2D

    public PieChart2D(IPieChartDataSet iPieChartDataSet,
                      LegendProperties legendProperties,
                      ChartProperties chartProperties,
                      int pixelWidth,
                      int pixelHeight)

  Constructor

Parameters:
  `iPieChartDataSet` -
  `legendProperties` -
  `chartProperties` - general chart properties
  `pixelWidth` -
  `pixelHeight` -

Method Detail

### renderChart

    protected void renderChart()

  Draws the chart

  Specified by:
    `renderChart` in class `Chart`

### render

    static void render(PieChart2D pieChart2D)

  Implement the method to render the Chart.

  Parameters:
    `pieChart2D` -

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator,
                       java.lang.String imageFileName)

  Enables the testing routines to display the contents of this Object. Override Chart implementation as PieCharts use AreaProperties directly rather than a child.

  Parameters:
    `htmlGenerator` -
    `imageFileName` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD